[Tutorial] Modding Eures BG(II)EE-Spieles - Bitte beachten!

Dieses Thema im Forum "Modifikationen - Installation für Baldur's Gate Enhanced Edition" wurde erstellt von Jastey, 20. September 2014.

  1. Jastey

    Jastey Senior Member

    Registriert seit:
    Mai 2004
    Beiträge:
    4.863
    Zustimmungen:
    37
    Hier mal einige Hinweise zum Modden Eurer BG(II)EE-Installation, da es sich doch von den klassischen Spielen etwas unterscheidet.

    Modding von BG(II)EE - zu beachten

    Die EE-Spiele sind aktiv gewartete Spiele: Es kommen aktuelle Patches heraus. Diese Patches werden bei Steam aktiv und mittlerweile ohne Rückfrage installiert.

    Dabei wird die EE-Installation nicht nur erneuert, sondern auch wieder in den Usprungszustand gebracht. Das heißt, dass nach dem Patchen alle installierten Mods weg sind! (Savegames werden nicht verändert, können dann aber nicht mehr verwendet werden.)

    Daher gilt beim Modden der EE-Spiele immer:

    • Man kopiere den gesamten Spielordner an einen anderen Platz, "verdopple" also die Installation. Das Spiel kann dann durch die Baldur.exe im Ordner direkt gestartet werden.
    • Nun können Patches von Beamdog /Steam auf die offizielle Installation ohne Folgen aufgebracht werden.!
      Die kopierte Installation kann gemoddet werden, und wird sich von alleine nicht ändern. Auf diese Weise kann eine gemoddete EE-Version unverändert durchgespielt werden.

    Des weiteren können auf diese Art mehrere verschieden gemoddete Versionen parallel betrieben werden (falls man dies z.B. zum Austesten etc. wünscht).

    Installation der Mods

    Falls Ihr SoD von GOG oder Steam habt, müsst Ihr vor dem Modden erst einmal modmerge laufen lassen.

    Die BGEE hat verschiedene Sprachversionen, die auch im laufenden Spiel verändert werden können. Hierbei muss im Fall von Mods beachtet werden:

    Eine Mod fügt neuen Text in das Spiel ein. Dies geschieht immer nur für eine Sprachversion.
    • Ändert Ihr nun im Spiel die Sprachversion, werden die neuen Texte nicht dargestellt, sondern nur als "invalid: xxxxxxx".
    • Modinhalte können also nur !
      in der Sprachversion gespielt werden, zu der sie installiert wurden.
    • Solltet Ihr dieses "invalid" in Eurem Spiel sehen, dann bedeutet es, dass die neuen Modtexte nicht in der aktiven dialog.tlk vorhanden sind. Das kann also entweder bedeuten, dass die falsche Sprachversion ausgewählt wurde, oder, dass Ihr einen Savegame verwendet, der mit nun fehlenden Mods gemoddet wurde - s.u.


    Allgemeiner Hinweis zu Savegames: Da die EE-Version die Savegames zentral ablegt, kann man für jede kopierte Spielversion auf dieselben Savegames zugreifen. Saves von unterschiedlich gemoddeten Spielen sind nicht gegenseitig austauschbar. Es ist also sinnvoll, bei der EE in die Savegames neben dem Spielstand auch ein Kürzel für die Installation anzufügen, für die dieses Save erstellt wurde.

    Modlisten

    Achtung: Leider sind nicht alle Mods, die zur EE kompatibel gemacht wurden, dies auch für die deutsche Sprachversion. Beachtet dazu auch !
    diesen Thread: BG(II):EE-Mods mit funktionierender deutscher Version.

    Downloadseite der BGII:EE-kompatiblem Mods hier bei Kerzenburg

    Downloadseite der BG:EE-kompatiblen Mods hier bei Kerzenburg

    Offizielle Liste der BGII-Mods, die mit der BGIIEE kompatibel sind

    Offizielle Liste der BG1 Mods, die mit der BGEE kompatibel sind

    Wenn in der Readme/Beschreibung eines Mods nicht explizit drinsteht, dass es BG(II)EE-kompatibel ist, dann ist es nur für die klassischen Spiele.

    ALIEN hat einen Launcher für EET geschrieben (für installiertes EET): EET Launcher

    Roxanne hat ein EE Setup Tool aufgesetzt, das vom BWS abgekoppelt ist. Die Zukunft des Tools ist aufgrund der aktuellen Entwicklungen aber ungewiss: EE/EET Setup Tool
     
    Zuletzt bearbeitet: 3. Mai 2018
  2. Wedge

    Wedge Wedgetarian

    Registriert seit:
    Juli 2007
    Beiträge:
    9.371
    Zustimmungen:
    4
    Nur so als Anmerkung:

    Die BG1EE kann ohne Steam gestartet werden in der Version 1.3, die BG2EE in der Version 1.2 braucht allerdings Steam zum laufen und startet auch nicht, wenn es nicht an dem Ort ist, an dem Steam es erwartet.

    Das heißt: entweder nen Keks benutzen oder mit der Gefahr leben, dass ein Update alles vernichtet oder, und das ist die dezent clevere Umgehung des ganzen Schmonzes, einfach ein zweites Steam installieren, in dem ausschließlich die BG2EE (und BG1EE wenn man denn will) installieren und das Ding ununterbrochen im Offline-Modus laufen lassen. So verhindert man Updates, stört aber gleichzeitig nicht den normalen Steambetrieb.
     
  3. Wedge

    Wedge Wedgetarian

    Registriert seit:
    Juli 2007
    Beiträge:
    9.371
    Zustimmungen:
    4
    Wer BG2EE bei Steam hat, kann die neue Version 1.3.2064 jetzt auch ohne Steam starten, da der Kopierschutz offensichtlich rausgenommen wurde. Eine Installation kann jetzt also wie vorher schon bei BG1EE beliebig hin und her verschoben, kopiert und verändert werden und läuft aus jedem Verzeichnis.
     
  4. Jastey

    Jastey Senior Member

    Registriert seit:
    Mai 2004
    Beiträge:
    4.863
    Zustimmungen:
    37
    Der erste Post ist aktualisiert. Vor allem habe ich den Thread verlinkt, der darauf hinweist, dass leider nicht alle BG(II):EE kompatiblen Mods dies auch für die deutsche Sprachversion sind.
     
  5. Lumorus

    Lumorus Wachender

    Registriert seit:
    März 2011
    Beiträge:
    1.516
    Zustimmungen:
    0
    Gibt es eigentlich schon eine ähnliche Anleitung wie beim BWP für die EE-Spiele? Mich würde es nämlich auch interessieren, was man alles für EET braucht ...
    Da ich SoD nicht verwende, wäre es gut für mich zu wissen, ob EET auch ohne installiert werden kann? Zur Info - ich habe die DVD-Versionen von BG1EE und BG2EE. ;)
     
  6. Quentin

    Quentin Senior Member

    Registriert seit:
    Sep. 2008
    Beiträge:
    277
    Zustimmungen:
    0
    Hier die englische Readme zur EET.

    https://cdn.rawgit.com/K4thos/EET/master/EET/readme-EET.html

    Zum installieren brauchst du SoD, du musst es allerdings nicht spielen, du kannst den Spielstand vor dem Kampf mit Sarevok auch in den Baldurs Gate 2 Teil importieren, allerdings wird dann nur der Hauptcharakter importiert.
    Darüber hinaus ist die EET noch in der Entwicklung, manche Mods sind für sie noch nicht verfügbar, dafür aber für einzelne BG1EE und BG2EE Installationen, das kann man sich am besten direkt im BWS ansehen.
     
  7. Lumorus

    Lumorus Wachender

    Registriert seit:
    März 2011
    Beiträge:
    1.516
    Zustimmungen:
    0
    Ah, danke Quentin! :up:

    Naja, villeicht habe ich mal Glück, und es kommt mal SoD auf DVD - und in Deutsch raus. (träumen kann man ja:D)
    Ich bin da einfach etwas altmodisch!!! :o:D:cool:
     
  8. Lilith

    Lilith Dark Mistress

    Registriert seit:
    Okt. 2004
    Beiträge:
    2.206
    Zustimmungen:
    1
    Darauf, dass es irgendwann mal in Deutsch zu haben ist warte ich ja auch. Das Übersetzungsteam hat damit ja wohl auch begonnen. Wird aber vermutlich noch an die 2 Jahre dauern, nach ihrer eigenen Einschätzung.

    Ich mag auch keine Sachen von Steam etc. Allerdings kann ich gut mit der Download Version von GoG leben. Da die Sachen bei denen generell keinen Kopierschutz haben. Ich habe mir da sogar die BG1(EE) nochmal (zum kleinen Preis) geholt, obwohl ich sie schon vorher direkt von Beamdog gekauft hatte.
     
  9. Quentin

    Quentin Senior Member

    Registriert seit:
    Sep. 2008
    Beiträge:
    277
    Zustimmungen:
    0
    Der wichtigste Unterschied zwischen der EET und dem BWP liegt darin, dass das BWP es ermöglicht Baldurs Gate 1 in der Baldurs Gate 2 Engine zu spielen, das ist in den klassischen BG Versionen ein ziemlich großer Vorteil, da die EE Versionen aber beide das selbe Regelwerk und die selbe Engine benutzen, fällt dieser Vorteil weg.

    Die Möglichkeit im BG2 Teil in BG1 Gebiete zurückzukehren ist nett, aber warum sollte man das machen?

    Dass die Charakter im BG2 Teil so bleiben, wie sie in BG1 geskillt wurden ist zwar ein Bonus, das bekommt man aber auch mit dem Mod Level 1 NPCs hin, der mit beiden EE Versionen funktioniert.

    Bleibt also noch, dass BG2 Begleiter, die in BG1 gestorben sind, tot bleiben. Das betrifft aber nur Viconia, Minsk, Jaheira und die neuen EE Begleiter. Minsk und Jaheira kann man am Anfang von BG2 auch einfach ignorieren und in ihren Zellen lassen, und die EE Begleiter kann man durch einen Mod jeweils einzeln oder alle aus dem Spiel entfernen. Und Viconia? Wenn man ihre Hilferufe ignoriert, ist sie auch ohne EET ganz schnell tot :D

    Kurz gesagt, ob man die EET oder die beiden EE Versionen einzeln gemoddet spielt, macht eigentlich kaum einen Unterschied :)
     
  10. Dabus

    Dabus Senior Member

    Registriert seit:
    Nov. 2007
    Beiträge:
    5.011
    Zustimmungen:
    2
    Der Unterschied mit BWS ist - so ich mich nicht vertue:
    BGT - 557 Mods in Englisch oder 236 in Deutsch.
    EET - 242 Mods in Englisch oder 96 in Deutsch.

    Es ist halt noch nicht alles konvertiert / konform gemacht worden. Ein Blick auf die alte Version kann sich also u.U. immer noch lohnen.
     
  11. Lilith

    Lilith Dark Mistress

    Registriert seit:
    Okt. 2004
    Beiträge:
    2.206
    Zustimmungen:
    1
    Auf meinem PC gibts da leider keine Wahl, da die klassischen Versionen hier nicht mehr laufen. Deshalb noch mal ne Frage zum EET selbst. Ich vermute mal da gibt es ein ähnliches Installationstool wie früher beim BWP!? Ist dieses denn ausschließlich in englischer Sprache oder auch mit deutscher Übersetzung verfügbar?
     
  12. Maus

    Maus Senior Member

    Registriert seit:
    Aug. 2002
    Beiträge:
    5.664
    Zustimmungen:
    2
    Nein, die EET hat kein Installationstool. Es ist ein zweiteiliger(!) WeiDU-Mod. Alle anderen Mods muss man von Hand und in der richtigen Reihenfolge installieren. Allerdings gibt es eine Liste, in der man nachschauen kann, wie das laufen muss (also was vorher und was zwischendrin installiert wird. Der zweite Teil ist immer der letzte Mod).

    Sicher, dass BGT nicht mit den EEs funktioniert? Und ich vermute, dass EET selbst nur in Englisch verfügbar ist. Wäre aber auch egal, da es nach meiner Kenntnis keine Inhalte mitbringt.
     
  13. Jastey

    Jastey Senior Member

    Registriert seit:
    Mai 2004
    Beiträge:
    4.863
    Zustimmungen:
    37
    Die Links im ersten Post sind aktualisiert.

    ALIEN hat einen Launcher für EET geschrieben (für installiertes EET): EET Launcher

    Roxanne hat ein EE Setup Tool aufgesetzt, das vom BWS abgekoppelt ist. Die Zukunft des Tools ist aufgrund der aktuellen Entwicklungen aber ungewiss: EE/EET Setup Tool
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden